<!DOCTYPE html>
<html class="writer-html5" lang="fr" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>fonctions module &mdash; Documentation Projet 3 1.0.0</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/translations.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Recherche" href="search.html" />
    <link rel="next" title="main module" href="main.html" />
    <link rel="prev" title="convertisseur module" href="convertisseur.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> Projet 3
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Rechercher docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">groupe-3</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="convertisseur.html">convertisseur module</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">fonctions module</a></li>
<li class="toctree-l2"><a class="reference internal" href="main.html">main module</a></li>
<li class="toctree-l2"><a class="reference internal" href="unit_test.html">unit_test module</a></li>
<li class="toctree-l2"><a class="reference internal" href="utils.html">utils module</a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Projet 3</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a></li>
          <li class="breadcrumb-item"><a href="modules.html">groupe-3</a></li>
      <li class="breadcrumb-item active">fonctions module</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/fonctions.rst.txt" rel="nofollow"> Afficher la source de la page</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-fonctions">
<span id="fonctions-module"></span><h1>fonctions module<a class="headerlink" href="#module-fonctions" title="Lien permanent vers cette rubrique"></a></h1>
<dl class="py function">
<dt class="sig sig-object py" id="fonctions.addition">
<span class="sig-prename descclassname"><span class="pre">fonctions.</span></span><span class="sig-name descname"><span class="pre">addition</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">data</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#fonctions.addition" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Additionne toutes les matrices de data
:param data: liste de données
:return: renvoie une nouvelle matrice résultant de l’addition de toutes les matrices</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="fonctions.calcul_date">
<span class="sig-prename descclassname"><span class="pre">fonctions.</span></span><span class="sig-name descname"><span class="pre">calcul_date</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">data</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">debut_fin</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#fonctions.calcul_date" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Affiche les dates disponibles dans un dictionnaire de données et propose un choix de sélection.</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>data</strong> – Un dictionnaire de données contenant des informations associées à des dates.</p></li>
<li><p><strong>debut_fin</strong> – Un entier représentant le choix de début ou de fin de la sélection.
Si 0, affiche toutes les dates disponibles pour le choix de fin.
Sinon, n’affiche que les dates dont le numéro est inférieur à debut_fin.</p></li>
</ul>
</dd>
<dt class="field-even">Renvoie</dt>
<dd class="field-even"><p>Aucune valeur de retour. La fonction affiche les options de sélection.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="fonctions.calcul_pourcentage">
<span class="sig-prename descclassname"><span class="pre">fonctions.</span></span><span class="sig-name descname"><span class="pre">calcul_pourcentage</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">numero_capteur</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">data</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#fonctions.calcul_pourcentage" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Calcule le pourcentage d’activité d’un capteur donné en fonction de son numéro et des données.</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>numero_capteur</strong> – Le numéro du capteur dont on souhaite calculer le pourcentage d’activité.</p></li>
<li><p><strong>data</strong> – Un dictionnaire contenant les données des capteurs.</p></li>
</ul>
</dd>
<dt class="field-even">Renvoie</dt>
<dd class="field-even"><p>Le pourcentage d’activité du capteur, ou None si le numéro du capteur n’est pas numérique.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="fonctions.check_coef">
<span class="sig-prename descclassname"><span class="pre">fonctions.</span></span><span class="sig-name descname"><span class="pre">check_coef</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">data</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">condition</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#fonctions.check_coef" title="Lien permanent vers cette définition"></a></dt>
<dd><p>This function shows the date on which the tide’s coefficient is the highest or the lowest depending on the condition</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>data</strong> – dictionary of dates : values (in a matrix)</p></li>
<li><p><strong>condition</strong> – 0 for lowest coefficient, 1 for highest coefficient</p></li>
</ul>
</dd>
<dt class="field-even">Renvoie</dt>
<dd class="field-even"><p>none</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="fonctions.coord_max">
<span class="sig-prename descclassname"><span class="pre">fonctions.</span></span><span class="sig-name descname"><span class="pre">coord_max</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dictionnaire</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#fonctions.coord_max" title="Lien permanent vers cette définition"></a></dt>
<dd><p><strong>INPUT</strong> : dictionnaire clé : matrice
<strong>OUTPUT</strong> : coordonnées du point le lus haut ligne/colonne
<strong>DESCRIPTION</strong> : Permet de connaître les coordonnées du /des points les plus hauts.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="fonctions.filtrer_donnees_par_dates">
<span class="sig-prename descclassname"><span class="pre">fonctions.</span></span><span class="sig-name descname"><span class="pre">filtrer_donnees_par_dates</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">date_1</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">date_2</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">dico</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#fonctions.filtrer_donnees_par_dates" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Filtrer un dictionnaire de données en fonction des dates incluses dans une plage donnée.</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>date_1</strong> – Date de début de la plage (inclus).</p></li>
<li><p><strong>date_2</strong> – Date de fin de la plage (inclus).</p></li>
<li><p><strong>dico</strong> – Un dictionnaire de données contenant des matrices associées à des dates.</p></li>
</ul>
</dd>
<dt class="field-even">Renvoie</dt>
<dd class="field-even"><p>Un nouveau dictionnaire contenant uniquement les données dont les dates se</p>
</dd>
</dl>
<p>trouvent dans la plage spécifiée.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="fonctions.is_element">
<span class="sig-prename descclassname"><span class="pre">fonctions.</span></span><span class="sig-name descname"><span class="pre">is_element</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">matrice</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">nbr</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#fonctions.is_element" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Fonction qui recherche un nombre dans une matrice
:param matrice: la matrice dans laquelle on va rechercher le chiffre
:param nbr: nombre de relevé
:return: si le chiffre existe renvoie la position du chiffre dans la matrice sinon renvoie False</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="fonctions.position">
<span class="sig-prename descclassname"><span class="pre">fonctions.</span></span><span class="sig-name descname"><span class="pre">position</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">data</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#fonctions.position" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Fonction qui renvoie le N° du capteur selon ses coordonnées X Y
:param data: liste de coordonnées [x, y]
:return: Renvoie le ou les numéros des capteurs</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="fonctions.recupere_date">
<span class="sig-prename descclassname"><span class="pre">fonctions.</span></span><span class="sig-name descname"><span class="pre">recupere_date</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">numero</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">data</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#fonctions.recupere_date" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Affiche les dates disponibles dans le dictionnaire de données et propose un choix de sélection.</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>data</strong> – Un dictionnaire de données contenant des informations associées à des dates.</p></li>
<li><p><strong>numero</strong> – Un entier représentant le choix de début ou de fin de la sélection.
Si 0, affiche toutes les dates disponibles pour le choix de fin.
Sinon, n’affiche que les dates dont le numéro est inférieur ou égal à debut_fin.</p></li>
</ul>
</dd>
<dt class="field-even">Renvoie</dt>
<dd class="field-even"><p>Aucune valeur de retour. La fonction affiche les options de sélection.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="fonctions.verification_input">
<span class="sig-prename descclassname"><span class="pre">fonctions.</span></span><span class="sig-name descname"><span class="pre">verification_input</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">nbr</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mini</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">maxi</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#fonctions.verification_input" title="Lien permanent vers cette définition"></a></dt>
<dd><p>Vérifie si un nombre se trouve dans une plage donnée.</p>
<dl class="field-list simple">
<dt class="field-odd">Paramètres</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>nbr</strong> – Le nombre à vérifier.</p></li>
<li><p><strong>mini</strong> – La valeur minimale de la plage.</p></li>
<li><p><strong>maxi</strong> – La valeur maximale de la plage.</p></li>
</ul>
</dd>
<dt class="field-even">Renvoie</dt>
<dd class="field-even"><p>True si le nombre est un chiffre et se trouve dans la plage [mini, maxi] (inclus), sinon False.</p>
</dd>
</dl>
</dd></dl>

</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Pied de page">
        <a href="convertisseur.html" class="btn btn-neutral float-left" title="convertisseur module" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Précédent</a>
        <a href="main.html" class="btn btn-neutral float-right" title="main module" accesskey="n" rel="next">Suivant <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Salaun Perin Baud Randu.</p>
  </div>

  Compilé avec <a href="https://www.sphinx-doc.org/">Sphinx</a> en utilisant un
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">thème</a>
    fourni par <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>